﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace GridViewColumnSortState
{
    public class Message : INotifyPropertyChanged
    {
        public string Subject
        {
            get;
            set;
        }

        public string Sender
        {
            get;
            set;
        }

        public int Size
        {
            get;
            set;
        }

        private bool selected;

        public bool Selected
        {
            get
            {
                return this.selected;
            }

            set
            {
                this.selected = value;

                if(this.PropertyChanged != null)
                    this.PropertyChanged(this, new PropertyChangedEventArgs("Selected"));
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
